// MOON3.V by Heinz Schuller
// Modified to POV-Ray format, Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8

#include "lpad.inc"

#declare TheLandingPad = 
union {

	// base
	//surf { diff 0.5 0.5 0.5 }
	union {
		cylinder { <-1.1, 0, 0.6>, <-1.1, 0, -1>, 1.55 }
		triangle { <2.5, -0.8, 0.6>, <2.5, 0.8, 0.6>, <2.5, 0.8, -1> }
		triangle { <2.5, 0.8, -1>, <2.5, -0.8, -1>, <2.5, -0.8, 0.6> }
		triangle { <2.5, 0.8, 0.6>, <0, 0.8, 0.6>, <0, 0.8, -1> }
		triangle { <0, 0.8, -1>, <2.5, 0.8, -1>, <2.5, 0.8, 0.6> }

		// pad sides
		cone { <-1.1, 0, 1>, 1.45, <-1.1, 0, 0.6>, 1.55 }
		triangle { <0, -0.7, 1>, <2.4, -0.7, 1>, <2.5, -0.8, 0.6> }
		triangle { <2.5, -0.8, 0.6>, <0, -0.8, 0.6>, <0, -0.7, 1> }
		triangle { <2.4, -0.7, 1>, <2.4, 0.7, 1>, <2.5, 0.8, 0.6> }
		triangle { <2.5, 0.8, 0.6>, <2.5, -0.8, 0.6>, <2.4, -0.7, 1> }
		triangle { <2.4, 0.7, 1>, <0, 0.7, 1>, <0, 0.8, 0.6> }
		triangle { <0, 0.8, 0.6>, <2.4, 0.8, 0.6>, <2.4, 0.7, 1> }
		
		pigment { rgb 0.5 }
	}

	// front side <g>
	union {
		triangle { <0, -0.8, 0.6>, <2.5, -0.8, 0.6>, <2.5, -0.8, -1> }
		triangle { <2.5, -0.8, -1>, <0, -0.8, -1>, <0, -0.8, 0.6> }
		pigment {
			image_map {
				gif "panel2.gif"
			}
			translate <0, -0.8, 0.6>
			rotate x*90
		}
	}

	// pad
	union {
		triangle { <0, 0.7, 1>, <2.4, 0.7, 1>, <2.4, -0.7, 1> }
		triangle { <2.4, -0.7, 1>, <0, -0.7, 1>, <0, 0.7, 1> }
		disc { <-1.1, 0, 1>, z, 1.45}
		pigment {
			image_map {
				gif "panel2.gif"
			}
			translate <0, 0.7, 1>
		}
	}

	// stuff
	//surf { diff 0.5 0.5 0.5 }
	union {
	
		sphere { <1.3, 0.3, 1>, 0.1 }
		sphere { <2, 0.3, 1>, 0.1 }
		sphere { <1.3, 0.3, 1.2>, 0.05 }
		sphere { <2, 0.3, 1.2>, 0.05 }
		cylinder { <1.3, 0.3, 1.2>, <1.3, 0.3, 1>, 0.05 }
		cylinder { <2, 0.3, 1.2>, <2, 0.3, 1>, 0.05 }
		cylinder { <1.3, 0.3, 1.2>, <2, 0.3, 1.2>, 0.05 }
		cylinder { <1.8, -0.3, 1.1>, <1.8, -0.3, 1.0>, 0.15 }
		//disc { <1.8, -0.3, 1.1>, z, 0.15 pigment { rgb <1, 0, 0> } }  // all cylinders in POV are closed!

		// landing pad
		object {
			ThePad
			translate x*-1.1
		}

		pigment { rgb 0.5 }
		
	}

}

